Skip to content
API Reference

Create

organizations.service_accounts.create(strorganization_id, ServiceAccountCreateParams**kwargs) -> ServiceAccount
POST/organizations/{organization_id}/service-accounts

Create a new service account for an organization

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
name: str

Service account name

description: Optional[str]

Optional description of the service account

maxLength500
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class ServiceAccount:
id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time
name: str

A name for the entity to be displayed in UI

updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
description: Optional[str]

Optional description of the service account

permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Create

from keycardai_api import KeycardAPI

client = KeycardAPI()
service_account = client.organizations.service_accounts.create(
    organization_id="x",
    name="name",
)
print(service_account.id)
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}